Skip to main content
GET
/
gst
/
compliance
/
tax-payer
/
gstrs
/
{year}
/
{month}
/
track
Track Returns
curl --request GET \
  --url https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/{year}/{month}/track \
  --header 'authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>'
import requests

url = "https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/{year}/{month}/track"

headers = {
    "authorization": "<authorization>",
    "x-api-key": "<x-api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};

fetch('https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/{year}/{month}/track', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{ "code": 200, "data": { "data": { "EFiledlist": [ { "arn": "AA010143556585B", "ret_prd": "022017", "mof": "ONLINE", "dof": "08-02-2017", "rtntype": "GSTR2", "status": "Filed", "valid": "Y" }, { "arn": "AA010143556585B", "ret_prd": "022017", "mof": "ONLINE", "dof": "07-02-2017", "rtntype": "GSTR1", "status": "Filed", "valid": "Y" }, { "arn": "AA010143556587A", "ret_prd": "032017", "mof": "ONLINE", "dof": "07-03-2017", "rtntype": "GSTR3", "status": "Filed", "valid": "N" } ] }, "status_cd": "1" }, "timestamp": 1763446641000, "transaction_id": "0ca94d55-c0ab-452f-9d28-e0f9509d1df4" }

Response body schema

View response body schema

Headers

authorization
string
required

GST taxpayer access token.

x-api-version
string
default:1.0.0

API version.

x-api-key
string
required

API key for identification.

Path Parameters

year
string
required

Return period year.

Example:

"2024"

month
string
required

Return period month.

Example:

"05"

Query Parameters

return_type
string

Optional return type filter. Use repo-style values such as gstr-1, gstr-3b, or gstr-9.

Example:

"gstr-1"

Response

200 - application/json

200 Success. On GST-side business failure, the sandbox wrapper still returns 200 with data.status_cd = "0" and an error object.

The response is of type object.